## ignition-fuel-tools4 4.4.0%2Bds

=== src/CMakeLists.txt ===
set (sources
  ClientConfig.cc
  CollectionIdentifier.cc
  FuelClient.cc
  ign.cc
  Interface.cc
  JSONParser.cc
  LocalCache.cc
  Model.cc
  ModelIdentifier.cc
  ModelIter.cc
  RestClient.cc
  Result.cc
  Zip.cc
  WorldIdentifier.cc
  WorldIter.cc
)

set (gtest_sources
  ClientConfig_TEST.cc
  CollectionIdentifier_TEST.cc
  FuelClient_TEST.cc
  ign_src_TEST.cc
  Interface_TEST.cc
  JSONParser_TEST.cc
  LocalCache_TEST.cc
  ModelIdentifier_TEST.cc
  ModelIter_TEST.cc
  Model_TEST.cc
  RestClient_TEST.cc
  Result_TEST.cc
  WorldIdentifier_TEST.cc
  WorldIter_TEST.cc
  Zip_TEST.cc
)

if (HAVE_IGN_TOOLS)
  set (gtest_sources ${gtest_sources}
    ign_TEST.cc
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

# Link the libraries that we always need.
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  PRIVATE
    ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
    curl::curl
    ${JSONCPP_TARGET}
    TINYXML2::TINYXML2
    ${YAML_TARGET}
    ZIP::ZIP
)

ign_target_interface_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
)


# Build the unit tests.
ign_build_tests(TYPE UNIT
                SOURCES ${gtest_sources}
                LIB_DEPS
                  ignition-cmake${IGN_CMAKE_VER}::utilities
                  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
                  TINYXML2::TINYXML2
)

# Command line support.
add_subdirectory(cmd)

## ignition-fuel-tools4 4.4.0

=== debian/changelog ===
ignition-fuel-tools4 (4.4.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 17 Jun 2021 17:01:15 -0700

ignition-fuel-tools4 (4.3.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 01 Dec 2020 09:55:10 -0700

ignition-fuel-tools4 (4.2.1-2~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.2.1-2 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 26 Aug 2020 05:29:14 -0700

ignition-fuel-tools4 (4.2.1-1~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.2.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 26 Aug 2020 18:50:39 -0700

ignition-fuel-tools4 (4.2.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 26 Aug 2020 09:40:01 -0700

ignition-fuel-tools4 (4.1.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools4 4.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 27 Feb 2020 17:24:00 -0800

=== debian/control ===
Source: ignition-fuel-tools4
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.8.0),
               libignition-common3-core-dev (>= 3.0.0),
               libignition-math6-dev,
               libignition-msgs5-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libtinyxml2-dev
Vcs-Browser: https://github.com/ignition-release/ign-fuel-tools4-release
Vcs-Hg: https://github.com/ignition-release/ign-fuel-tools4-release
Homepage: http://ignitionrobotics.org/

Package: libignition-fuel-tools4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Shared library
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-fuel-tools4-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
       libignition-common3-core-dev (>= 3.0.0),
       libignition-math6-dev,
       libignition-msgs5-dev,
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev,
       libyaml-dev,
       libtinyxml2-dev,
       libignition-fuel-tools4 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Development files
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

## ignition-fuel-tools4 4.4.0%2Bds

=== debian/changelog ===
ignition-fuel-tools4 (4.4.0+ds-3build1) jammy; urgency=medium

  * No-change rebuild against libignition-fuel-tools7-7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Feb 2022 17:57:26 +0000

ignition-fuel-tools4 (4.4.0+ds-3) unstable; urgency=medium

  * Fix test dependency
  * Add branch to Vcs-Git

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Feb 2022 21:40:10 +0100

ignition-fuel-tools4 (4.4.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 16:49:50 +0000

ignition-fuel-tools4 (4.4.0+ds-1) experimental; urgency=medium

  * New upstream version 4.4.0+ds
  * Remove gitlab file
  * Use helper gbp.conf file
  * Update debian metadata to v4
  * Update copyright
  * New package to support transition from Gazebo to ignition-gazebo.
    Gazebo simulator will be deprecated in the next year, upstream recommends
    the migration to ignition-gazebo. To support this transition,
    ignition-fuel-tools4 and ignition-fuel-tools (already available) will be in
    Debian to help with the installation of both simulators.  Upstream supports
    parallel installation of different major versions.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 16 Nov 2021 17:27:56 +0000

ignition-fuel-tools (4.1.0+dfsg-6) unstable; urgency=medium

  * Patch failing test with duplicate / in string identifier
    (Closes: #997517)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Oct 2021 15:08:28 +0000

ignition-fuel-tools (4.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Disable tests with network access

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 13:02:41 +0200

ignition-fuel-tools (4.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest and add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:24:18 +0200

ignition-fuel-tools (4.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable tests on arch:all build

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 13:58:25 +0200

ignition-fuel-tools (4.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:35:09 +0200

ignition-fuel-tools (4.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  [ Jose Luis Rivero ]
  * Update standard version
  * Move pack options to watch file

  [ Jochen Sprickerhof ]
  * Update d/watch
  * New upstream version 4.1.0+dfsg
  * Rebase patches
  * Update copyright
  * Update package names (due to API change)
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 19:14:42 +0200

ignition-fuel-tools (1.2.0+dfsg-2) unstable; urgency=medium

  * Remove merged patch
  * Update dependency on ignition-common
  * Add patch to disable tests that use network

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 14:54:27 +0000

ignition-fuel-tools (1.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * New upstream version 1.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 10:51:12 +0000

ignition-fuel-tools (1.0.0+dfsg4-5) unstable; urgency=medium

  * Team upload.
  * Add alternative libcurl dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 18:28:02 +0200

ignition-fuel-tools (1.0.0+dfsg4-4) unstable; urgency=medium

  * Fix problem with ign-tools support. Package it only in the -dev file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Mar 2018 01:33:45 +0000

ignition-fuel-tools (1.0.0+dfsg4-3) unstable; urgency=medium

  * Fix broken ign-tools support by including the modules into the packaging

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 19:01:37 +0000

ignition-fuel-tools (1.0.0+dfsg4-2) unstable; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Don't need parallel in dh anymore when using compat 11
  * Need to set CMAKE_BUILD_TYPE due to a bug in ign-cmake
  * Remove trailing whitespace
  * Rename packages to agree with policy about ABI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Feb 2018 16:51:24 -0800

ignition-fuel-tools (1.0.0+dfsg4-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg4
    (Closes: #889942)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 17 Feb 2018 03:00:47 +0000

## ignition-fuel-tools4 4.4.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-fuel_tools4 VERSION 4.4.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find libcurl
ign_find_package(IgnCURL REQUIRED PRIVATE)

#--------------------------------------
# Find jsoncpp
ign_find_package(JSONCPP REQUIRED PRIVATE)

#--------------------------------------
# Find libyaml
ign_find_package(YAML REQUIRED PRIVATE)

#--------------------------------------
# Find libzip
ign_find_package(ZIP REQUIRED PRIVATE)

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common3 REQUIRED PRIVATE)
set(IGN_COMMON_MAJOR_VER ${ignition-common3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs5 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-msgs5_VERSION_MAJOR})

#--------------------------------------
# Find ignition-tools
ign_find_package(ignition-tools QUIET)
if (ignition-tools_FOUND)
  set (HAVE_IGN_TOOLS TRUE)
endif()

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
  )

=== src/cmd/CMakeLists.txt ===
# Generate a the ruby script.
# Note that the major version of the library is included in the name.
# Ex: cmdfuel0.rb
if (APPLE)
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.dylib)
else()
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.so)
endif()

configure_file(
  "cmdfuel.rb.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb" @ONLY)


# Install the ruby command line library in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb DESTINATION lib/ruby/ignition)

=== debian/control ===
Source: ignition-fuel-tools4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libignition-cmake-dev (>= 2),
               libignition-common3-core-dev ,
               libignition-msgs5-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libtinyxml2-dev,
               libyaml-dev,
               libgtest-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git -b master_v4
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools4-4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools4-dev
Architecture: any
Section: libdevel
Depends: libignition-common3-core-dev,
         libignition-cmake-dev (>= 2),
         libtinyxml2-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libyaml-dev,
         libzip-dev,
         libignition-msgs5-dev,
         libjsoncpp-dev,
         libignition-fuel-tools4-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Replaces: libignition-fuel-tools-dev (<< 4.1.0+dfsg-5~)
Breaks: libignition-fuel-tools-dev (<< 4.1.0+dfsg-5~)
Suggests: ignition-tools
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries

=== debian/tests/control ===
Tests: build
Depends: libignition-fuel-tools4-dev, pkg-config, build-essential

## ignition-fuel-tools4 4.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools4 VERSION 4.4.0)
+project(ignition-fuel_tools4 VERSION 4.6.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================

=== debian/changelog ===
ignition-fuel-tools4 (4.6.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 11:12:35 -0700

ignition-fuel-tools4 (4.5.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 02 Jun 2022 15:49:35 -0700

ignition-fuel-tools4 (4.4.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 17 Jun 2021 17:01:15 -0700

ignition-fuel-tools4 (4.3.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 01 Dec 2020 09:55:10 -0700

ignition-fuel-tools4 (4.2.1-2~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.2.1-2 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 26 Aug 2020 05:29:14 -0700

ignition-fuel-tools4 (4.2.1-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.2.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 26 Aug 2020 18:50:39 -0700

ignition-fuel-tools4 (4.2.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 26 Aug 2020 09:40:01 -0700

ignition-fuel-tools4 (4.1.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 27 Feb 2020 17:24:01 -0800

=== debian/control ===
Source: ignition-fuel-tools4
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.13.0),
               libignition-common3-core-dev (>= 3.0.0),
               libignition-math6-dev,
               libignition-msgs5-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libtinyxml2-dev
Vcs-Browser: https://github.com/gazebosim/gz-fuel-tools
Vcs-Git: https://github.com/gazebosim/gz-fuel-tools
Homepage: http://gazebosim.org/

Package: libignition-fuel-tools4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo fuel-tools classes and functions for robot apps - Shared library
  Gazebo fuel-tools is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-fuel-tools4-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
       libignition-common3-core-dev (>= 3.0.0),
       libignition-math6-dev,
       libignition-msgs5-dev,
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev,
       libyaml-dev,
       libtinyxml2-dev,
       libignition-fuel-tools4 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Gazebo fuel-tools classes and functions for robot apps - Development files
  Gazebo fuel-tools is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libgz-fuel-tools4
Depends: libignition-fuel-tools4, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-fuel-tools4-dev
Depends: libignition-fuel-tools4-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

## ignition-fuel-tools4 4.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools4 VERSION 4.6.0)
+project(ignition-fuel_tools4 VERSION 4.9.1)
 
 #============================================================================
 # Find ignition-cmake
@@ -15,7 +15,9 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/fuel_tools
+)
 
 #============================================================================
 # Set project-specific options
@@ -66,6 +68,7 @@
 if (ignition-tools_FOUND)
   set (HAVE_IGN_TOOLS TRUE)
 endif()
+set (IGN_TOOLS_VER 1)
 
 #============================================================================
 # Configure the build

=== conf/CMakeLists.txt ===
set(ign_library_path "${CMAKE_BINARY_DIR}/src/cmd/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: fuel0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/fuel${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file.
# Note that the major version of the library is included in the name.
# Ex: fuel0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

# Install config.yaml
install (FILES config.yaml DESTINATION
  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}/)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
   ClientConfig.cc
   CollectionIdentifier.cc
   FuelClient.cc
-  ign.cc
+  gz.cc
   Interface.cc
   JSONParser.cc
   LocalCache.cc
@@ -20,7 +20,7 @@
   ClientConfig_TEST.cc
   CollectionIdentifier_TEST.cc
   FuelClient_TEST.cc
-  ign_src_TEST.cc
+  gz_src_TEST.cc
   Interface_TEST.cc
   JSONParser_TEST.cc
   LocalCache_TEST.cc
@@ -36,7 +36,7 @@
 
 if (HAVE_IGN_TOOLS)
   set (gtest_sources ${gtest_sources}
-    ign_TEST.cc
+    gz_TEST.cc
   )
 endif()
 
@@ -71,5 +71,10 @@
                   TINYXML2::TINYXML2
 )
 
+if (TARGET UNIT_FuelClient_TEST)
+  # The default timeout (240s) doesn't seem to be enough for this test.
+  set_tests_properties(UNIT_FuelClient_TEST PROPERTIES TIMEOUT 360)
+endif()
+
 # Command line support.
 add_subdirectory(cmd)

=== debian/changelog ===
ignition-fuel-tools4 (4.9.1-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.9.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 05 Jan 2024 18:11:21 -0600

ignition-fuel-tools4 (4.9.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.9.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 02 May 2023 10:46:03 -0500

ignition-fuel-tools4 (4.8.3-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.8.3-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 29 Mar 2023 11:16:32 -0800

ignition-fuel-tools4 (4.8.2-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.8.2-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 21 Mar 2023 14:01:21 -0800

ignition-fuel-tools4 (4.8.1-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.8.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 07 Feb 2023 13:34:08 -0800

ignition-fuel-tools4 (4.8.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.8.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 07 Dec 2022 09:04:42 -0800

ignition-fuel-tools4 (4.7.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools4 4.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 17 No 2022 15:44:29 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	true
